Images

Delete image

DELETE/images/{imageId}

delete an image by marking it as deleted

Authorization

ApiKeyAuth
X-API-Key<token>

Internal API key for service-to-service communication.

In: header

Path Parameters

imageId*string

Image ID

Response Body

204

Image deleted successfully

400application/json

Invalid project ID or image ID

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

401application/json

Unauthorized

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

403application/json

Access denied

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

404application/json

Image not found

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

500application/json

Failed to delete image

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

curl -X DELETE "https://api.rixl.com/images/M1uxRI23XL"
fetch("https://api.rixl.com/images/M1uxRI23XL", {
  method: "DELETE"
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.rixl.com/images/M1uxRI23XL"

  req, _ := http.NewRequest("DELETE", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/images/M1uxRI23XL"

response = requests.request("DELETE", url)

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;

HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/images/M1uxRI23XL"))
  .DELETE()
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var response = await client.DeleteAsync("https://api.rixl.com/images/M1uxRI23XL");
var responseBody = await response.Content.ReadAsStringAsync();

Image deleted successfully

Invalid project ID or image ID

application/json

{
  "code": 400,
  "details": "The provided ID is not valid",
  "error": "Invalid project ID or image ID"
}

Unauthorized

application/json

{
  "code": 401,
  "details": "The provided ID is not valid",
  "error": "Unauthorized"
}

Access denied

application/json

{
  "code": 403,
  "details": "The provided ID is not valid",
  "error": "Access denied"
}

Image not found

application/json

{
  "code": 404,
  "details": "The provided ID is not valid",
  "error": "Image not found"
}

Failed to delete image

application/json

{
  "code": 500,
  "details": "The provided ID is not valid",
  "error": "Failed to delete image"
}